This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 841195 - sudo-1.7.2p1-14.el5_8 breaks selinux permissions on /etc/nsswitch.conf
Summary: sudo-1.7.2p1-14.el5_8 breaks selinux permissions on /etc/nsswitch.conf
Status: CLOSED DUPLICATE of bug 818585
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
(Show other bugs)
Version: 5.8
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daniel Kopeček
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-18 11:49 UTC by Michael Young
Modified: 2012-07-22 22:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 11:52:41 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Young 2012-07-18 11:49:07 UTC
I updated to sudo-1.7.2p1-14.el5_8 and then discovered automount wasn't working. On checking the logs I discovered there were problems reading /etc/nsswitch.conf and checking the selinux permissions showed that it now had permissions
root:object_r:rpm_script_tmp_t
If I run /sbin/restorecon /etc/nsswitch.conf it sets the permissions back to
system_u:object_r:etc_t
and the automounts work again.

Comment 1 Daniel Kopeček 2012-07-18 11:52:41 UTC

*** This bug has been marked as a duplicate of bug 818585 ***


Note You need to log in before you can comment on or make changes to this bug.